#-*- coding: utf-8 -*-
#
# GtkFalse - gtkfalse
# http://www.florian-diesch.de/software/gtkfalse/
#
# Copyright (C) 2014 Florian Diesch <devel@florian-diesch.de>
#
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from gi.repository import Gtk, Gdk, GdkPixbuf, GLib, Gio, GObject
import os, os.path
from gettext import gettext as _

from gtkfalse import i18n, settings, about


class GtkfalseApp:
    def __init__(self):
        self.builder = Gtk.Builder()
        self.builder.set_translation_domain(settings.GETTEXT_DOMAIN)

        self.builder.add_from_file(os.path.join(settings.UI_DIR, 'main.ui'))
        self.builder.connect_signals(self)
        
        about.add_help_menu(self['menu_help'])

        win=self['window']
        win.connect('delete_event', self.on_win_main_delete_event)
        win.show()

    
    def __getitem__(self, key):
        return self.builder.get_object(key)

    def run(self):
        Gtk.main()
        
    def quit(self):
        Gtk.main_quit()            



###############
## main window

    def on_win_main_delete_event(self, *args):
        self.quit()


###############
## actions

    def on_ac_quit_activate(self, *args):
        self.quit()


    def on_ac_about_activate(self, *args):
        about.show_about_dialog()
        
