#-*- coding: utf-8 -*-
#
# GtkFalse - gtkfalse
# http://www.florian-diesch.de/software/gtkfalse/
#
# Copyright (C) 2014 Florian Diesch <devel@florian-diesch.de>
#
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


import os, os.path, subprocess

from gtkfalse import _meta


APP_NAME = _meta.TITLE
APP_VERSION = _meta.VERSION
APP_DESC = _meta.DESC
APP_AUTHOR = _meta.AUTHOR_NAME
APP_AUTHOR_EMAIL = _meta.AUTHOR_EMAIL
APP_TIMESTAMP = _meta.TIMESTAMP
APP_YEAR = 2014

app_name = APP_NAME.lower()

GETTEXT_DOMAIN=app_name 

USER_CONFIG_DIR = os.path.join(os.path.expanduser('~/.config'), app_name )
try:
    os.makedirs(USER_CONFIG_DIR)
except OSError:
    pass


if os.path.isfile('.is-%s-devel-dir' % app_name):
    DATA_DIR = 'data'
else: 
    DATA_DIR = os.path.join('/', 'usr', 'share', app_name )


UI_DIR = os.path.join(DATA_DIR, 'ui')
ICON_DIR = os.path.join(DATA_DIR, 'icons')


LOCALE_DIR='/usr/share/locale'

WEB_URL = _meta.WEB_URL

PAYPAL_URL = 'https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=DJCGEPS4746PU'

TRANSLATIONS_URL = 'https://translations.launchpad.net/%s' % app_name

BUGREPORT_URL = 'https://bugs.launchpad.net/%s/+filebug' % app_name
